[![License](https://img.shields.io/badge/license-MIT-blue.svg)](https://github.com/GlueDigital/universal-scripts/blob/master/LICENSE)
[![npm version](https://img.shields.io/npm/v/universal-scripts.svg?style=flat)](https://www.npmjs.com/package/universal-scripts)
[![Build Status](https://travis-ci.org/GlueDigital/universal-scripts.svg?branch=master)](https://travis-ci.org/GlueDigital/universal-scripts)
[![Dependencies](https://david-dm.org/GlueDigital/universal-scripts.svg)](https://david-dm.org/GlueDigital/universal-scripts)

# Universal Scripts

Universal Scripts is an optimized configuration for React projects, featuring advanced functionality such as Server-Side Rendering (SSR) and internationalization (i18n).

- [Read the documentation](https://gluedigital.github.io/universal-scripts)
- Migrating from v1? Check the [migration guide](https://gluedigital.github.io/universal-scripts/migration)
- [Report an issue](https://github.com/GlueDigital/universal-scripts/issues/new)

## Quick start

If you have any maintained version of Node (at least v18) and NPM, just run:

```bash
yarn create universal-scripts my-app
cd my-app
yarn start
```

Then go to [http://localhost:3000](http://localhost:3000) to see your app.

## Why Use This?

Universal Scripts provides a modern and flexible configuration for React projects, without relying on create-react-app or react-scripts. This allows for greater control over the development and production environments without the need to "eject" configurations.

Key benefits include:

- Native support for Server-Side Rendering (SSR).
- Built-in internationalization (i18n).
- Optimized for scalable projects.
- More flexible configuration without sacrificing simplicity.

Check out the [documentation](https://gluedigital.github.io/universal-scripts) to explore all features or follow the [getting started](https://gluedigital.github.io/universal-scripts/getting-started) guide.
